Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ITableModel

public interface ITableModel

Interface fuer TableModelEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TableModelEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTableModelListener(TableModelListener listener)` Fuegt dem Control den uebergebenen Listener als TableModelListener hinzu.
`String` | `getActionClassForTableModel()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TableModelEvent ausgeloest wurde.
`void` | `removeTableModelListener(TableModelListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForTableModel(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TableModelEvent ausgeloest wurde.

Method Detail

### getActionClassForTableModel

    public String getActionClassForTableModel()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TableModelEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TableModelEvent.

### setActionClassForTableModel

    public void setActionClassForTableModel(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TableModelEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TableModelEvent.

### addTableModelListener

    public void addTableModelListener(TableModelListener listener)

  Fuegt dem Control den uebergebenen Listener als TableModelListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TableModelListener.

### removeTableModelListener

    public void removeTableModelListener(TableModelListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD